Bug 2002119 (CVE-2021-38493) - CVE-2021-38493 Mozilla: Memory safety bugs fixed in Firefox 92, Firefox ESR 78.14 and Firefox ESR 91.1
Summary: CVE-2021-38493 Mozilla: Memory safety bugs fixed in Firefox 92, Firefox ESR 7...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-38493
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2001493 2001515 2001488 2001489 2001490 2001491 2001492 2001510 2001511 2001512 2001513 2001514 2001520 2001521 2002983 2002984
Blocks: 2001486
TreeView+ depends on / blocked
 
Reported: 2021-09-08 01:09 UTC by Doran Moppert
Modified: 2021-09-16 08:36 UTC (History)
5 users (show)

Fixed In Version: firefox 78.14, thunderbird 78.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-13 12:21:14 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3494 0 None None None 2021-09-13 07:38:55 UTC
Red Hat Product Errata RHSA-2021:3495 0 None None None 2021-09-13 07:16:49 UTC
Red Hat Product Errata RHSA-2021:3496 0 None None None 2021-09-13 07:46:40 UTC
Red Hat Product Errata RHSA-2021:3497 0 None None None 2021-09-13 07:51:04 UTC
Red Hat Product Errata RHSA-2021:3498 0 None None None 2021-09-13 08:25:00 UTC
Red Hat Product Errata RHSA-2021:3499 0 None None None 2021-09-13 08:03:23 UTC
Red Hat Product Errata RHSA-2021:3500 0 None None None 2021-09-13 07:54:10 UTC
Red Hat Product Errata RHSA-2021:3501 0 None None None 2021-09-13 07:28:51 UTC

Description Doran Moppert 2021-09-08 01:09:20 UTC
Mozilla developers Tyson Smith and Gabriele Svelto reported memory safety bugs present in Firefox 91 and Firefox ESR 78.13. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2021-39/#CVE-2021-38493

Comment 1 errata-xmlrpc 2021-09-13 07:16:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:3495 https://access.redhat.com/errata/RHSA-2021:3495

Comment 2 errata-xmlrpc 2021-09-13 07:28:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:3501 https://access.redhat.com/errata/RHSA-2021:3501

Comment 3 errata-xmlrpc 2021-09-13 07:38:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:3494 https://access.redhat.com/errata/RHSA-2021:3494

Comment 4 errata-xmlrpc 2021-09-13 07:46:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:3496 https://access.redhat.com/errata/RHSA-2021:3496

Comment 5 errata-xmlrpc 2021-09-13 07:51:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3497 https://access.redhat.com/errata/RHSA-2021:3497

Comment 6 errata-xmlrpc 2021-09-13 07:54:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:3500 https://access.redhat.com/errata/RHSA-2021:3500

Comment 7 errata-xmlrpc 2021-09-13 08:03:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3499 https://access.redhat.com/errata/RHSA-2021:3499

Comment 8 errata-xmlrpc 2021-09-13 08:24:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:3498 https://access.redhat.com/errata/RHSA-2021:3498

Comment 9 Product Security DevOps Team 2021-09-13 12:21:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-38493


Note You need to log in before you can comment on or make changes to this bug.